<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getBlackOpNames](./bitburner.bladeburner.getblackopnames.md)

## Bladeburner.getBlackOpNames() method

List all black ops.

**Signature:**

```typescript
getBlackOpNames(): BladeburnerBlackOpName[];
```
**Returns:**

[BladeburnerBlackOpName](./bitburner.bladeburnerblackopname.md)<!-- -->\[\]

Array of strings containing the names of all Bladeburner Black Ops.

## Remarks

RAM cost: 0 GB

Returns an array of strings containing the names of all Bladeburner Black Ops.

